#!/bin/bash

for s in {1..10}
do

echo "Seed $s: Non-SATNet Baseline"
python exps/mnist_mapping.py --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=2e-3 --nonsatnet=True --seed=$s

echo "Seed $s: Experiment 1"
python exps/mnist_mapping.py --m=20 --aux=50 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=40 --aux=50 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=60 --aux=50 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=80 --aux=50 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s

python exps/mnist_mapping.py --m=20 --aux=100 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=40 --aux=100 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=60 --aux=100 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=80 --aux=100 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s

python exps/mnist_mapping.py --m=20 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=40 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=60 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=80 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s

python exps/mnist_mapping.py --m=100 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=100 --aux=400 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=100 --aux=600 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=100 --aux=800 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s

python exps/mnist_mapping.py --m=200 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=400 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=600 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=800 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s

python exps/mnist_mapping.py --m=400 --aux=200 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=400 --aux=400 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=400 --aux=600 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=400 --aux=800 --optimizer_backbone=Adam --satnet_lr=2e-3 --backbone_lr=1e-5 --seed=$s

echo "Seed $s: Experiment 2"
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-3 --backbone_lr=1e-3 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-3 --backbone_lr=1e-4 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-3 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-4 --backbone_lr=1e-3 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-4 --backbone_lr=1e-4 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-4 --backbone_lr=1e-5 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-5 --backbone_lr=1e-3 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-5 --backbone_lr=1e-4 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=Adam --satnet_lr=1e-5 --backbone_lr=1e-5 --seed=$s

echo "Seed $s: Experiment 3"
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=SGD --output_layer=softmax --satnet_lr=1e-3 --backbone_lr=1e-1 --seed=$s

echo "Seed $s: Experiment 4"
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=SGD --output_layer=softmax --satnet_lr=1e-3 --backbone_lr=1e-1 --backbone=LeNet --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=SGD --output_layer=softmax --satnet_lr=1e-3 --backbone_lr=1e-1 --backbone=ResNet18 --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=SGD --output_layer=sigmoid --satnet_lr=1e-3 --backbone_lr=1e-1 --backbone=Default --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=SGD --output_layer=sigmoid --satnet_lr=1e-3 --backbone_lr=1e-1 --backbone=LeNet --seed=$s
python exps/mnist_mapping.py --m=200 --aux=100 --optimizer_backbone=SGD --output_layer=sigmoid --satnet_lr=1e-3 --backbone_lr=1e-1 --backbone=ResNet18 --seed=$s

done

